Index: branches/1.3/builder/scripts/main.tcl
===================================================================
--- branches/1.3/builder/scripts/main.tcl	(revision 4397)
+++ branches/1.3/builder/scripts/main.tcl	(revision 4399)
@@ -868,8 +868,12 @@
 
                 # /apps/rappture/current for 32-bit systems
-                # /apps/share64/rappture/current for 64-bit systems
-                if {$tcl_platform(wordSize) == 8
-                      && [file isdirectory /apps/share64/rappture/current]} {
-                    set dir /apps/share64/rappture/current
+                if {$tcl_platform(wordSize) == 8 } {
+                     if { [file isdirectory /apps/share64/debian7/rappture/current]} {
+                        set dir /apps/share64/debian7/rappture/current
+                     } elseif { [file isdirectory /apps/share64/debian6/rappture/current]} {
+                        set dir /apps/share64/debian6/rappture/current
+                     } else {
+                        set dir /apps/rappture/current
+                     }
                 } else {
                     set dir /apps/rappture/current
Index: branches/1.3/gui/scripts/nanovisviewer.tcl
===================================================================
--- branches/1.3/gui/scripts/nanovisviewer.tcl	(revision 4397)
+++ branches/1.3/gui/scripts/nanovisviewer.tcl	(revision 4399)
@@ -145,4 +145,5 @@
     private variable _activeTfs
     private variable _first ""     ;# This is the topmost volume.
+    private variable _alphamap
 
     # This 
@@ -745,5 +746,5 @@
     $_image(legend) configure -data $bytes
     ReceiveEcho <<line "<read $size bytes for [image width $_image(legend)]x[image height $_image(legend)] legend>"
-
+puts stderr "vmin=$vmin vmax=$vmax"
     set c $itk_component(legend)
     set w [winfo width $c]
@@ -765,8 +766,8 @@
 
     array set limits [limits $tf]
-    $c itemconfigure vmin -text [format %.2g $limits(min)]
+    $c itemconfigure vmin -text [format %g $limits(min)]
     $c coords vmin $lx $ly
 
-    $c itemconfigure vmax -text [format %.2g $limits(max)]
+    $c itemconfigure vmax -text [format %g $limits(max)]
     $c coords vmax [expr {$w-$lx}] $ly
 
@@ -998,9 +999,9 @@
         set tag $_first-$cname
         if { [info exists _serverDatasets($tag)] && $_serverDatasets($tag) } {
-            array set style {
+            array set styles {
                 -cutplanes 1
             }
-            array set style [lindex [$_first components -style $cname] 0]
-            if { $what != "-cutplanes" || $style(-cutplanes) } {
+            array set styles [lindex [$_first components -style $cname] 0]
+            if { $what != "-cutplanes" || $styles(-cutplanes) } {
                 lappend rlist $tag
             }
@@ -1328,5 +1329,5 @@
 #
 itcl::body Rappture::NanovisViewer::NameTransferFunc { dataobj cname } {
-    array set style {
+    array set styles {
         -color BCGYR
         -levels 6
@@ -1335,6 +1336,6 @@
     }
     set tag $dataobj-$cname
-    array set style [lindex [$dataobj components -style $cname] 0]
-    set tf "$style(-color):$style(-levels):$style(-opacity)"
+    array set styles [lindex [$dataobj components -style $cname] 0]
+    set tf "$styles(-color):$styles(-levels):$styles(-opacity)"
     set _dataset2style($tag) $tf
     lappend _style2datasets($tf) $tag
@@ -1352,13 +1353,14 @@
 #
 itcl::body Rappture::NanovisViewer::ComputeTransferFunc { tf } {
-    array set style {
+    array set styles {
         -color BCGYR
         -levels 6
         -opacity 1.0
         -markers ""
+        -alphamap ""
     }
 
     foreach {dataobj cname} [split [lindex $_style2datasets($tf) 0] -] break
-    array set style [lindex [$dataobj components -style $cname] 0]
+    array set styles [lindex [$dataobj components -style $cname] 0]
 
     # We have to parse the style attributes for a volume using this
@@ -1377,15 +1379,18 @@
     if { ![info exists _isomarkers($tf)] } {
         # Have to defer creation of isomarkers until we have data limits
-        if { [info exists style(-markers)] &&
-             [llength $style(-markers)] > 0 } {
-            ParseMarkersOption $tf $style(-markers)
+        if { [info exists styles(-markers)] &&
+             [llength $styles(-markers)] > 0 } {
+            ParseMarkersOption $tf $styles(-markers)
         } else {
-            ParseLevelsOption $tf $style(-levels)
-        }
-    }
-    set cmap [ColorsToColormap $style(-color)]
+            ParseLevelsOption $tf $styles(-levels)
+        }
+        if { $styles(-alphamap) != "" } {
+            set _alphamap($cname) $styles(-alphamap)
+        }
+    }
+    set cmap [ColorsToColormap $styles(-color)]
     set tag $this-$tf
     if { ![info exists _settings($tag-opacity)] } {
-        set _settings($tag-opacity) $style(-opacity)
+        set _settings($tag-opacity) $styles(-opacity)
     }
     set max 1.0 ;#$_settings($tag-opacity)
@@ -1443,5 +1448,9 @@
         lappend wmap 1.0 0.0
     }
-    SendCmd "transfunc define $tf { $cmap } { $wmap }"
+    if { [info exists _alphamap($cname)] } {
+        set wmap $_alphamap($cname)
+    }
+    puts stderr wmap=$wmap
+    SendCmd [list transfunc define $tf $cmap $wmap]
 }
 
Index: branches/1.3/gui/scripts/vtkheightmapviewer.tcl
===================================================================
--- branches/1.3/gui/scripts/vtkheightmapviewer.tcl	(revision 4397)
+++ branches/1.3/gui/scripts/vtkheightmapviewer.tcl	(revision 4399)
@@ -123,5 +123,7 @@
     private variable _currentColormap ""
     private variable _currentNumIsolines -1
-    private variable _currentOpacity ""
+    private variable _currentOpacity 100.0; # Widget opacity setting 
+                                        #   between 0 and 100
+    
 
     private variable _maxScale 100;     # This is the # of times the x-axis
@@ -217,34 +219,34 @@
 
     array set _settings {
-        axisFlymode		"static"
-        axisMinorTicks		1
-        stretchToFit		0
-        axisLabels              1
-        axisVisible		1
-        axisXGrid		0
-        axisYGrid		0
-        axisZGrid		0
-        colormapVisible         1
-        colormapDiscrete        0
-        edges			0
-        field			"Default"
-        heightmapScale		50
-        isHeightmap		0
-        isolineColor            black
-        isolinesVisible         1
-        legendVisible           1
-        lighting		1
-        saveLighting		1
-        numIsolines		10
-        opacity                 100
-        outline			0
-        wireframe		0
-        saveOpacity		100
-        saveOutline		0
+        -axisflymode		"static"
+        -axisminorticks		1
+        -stretchtofit		0
+        -axislabels             1
+        -axisvisible		1
+        -xaxisgrid		0
+        -yaxisgrid		0
+        -zaxisgrid		0
+        -colormapvisible        1
+        -colormapdiscrete       0
+        -edges			0
+        -field			"Default"
+        -heightmapscale		50
+        -isheightmap		0
+        -isolinecolor           black
+        -isolinesVisible        1
+        -legendvisible          1
+        -lighting		1
+        -savelighting		1
+        -numisolines		10
+        -opacity                1.0
+        -outline		0
+        -wireframe		0
+        -saveopacity		1.0
+        -saveoutline		0
     }
     array set _changed {
-        opacity                 0
-        colormap                0
-        numIsolines             0
+        -opacity                 0.0
+        -colormap                0
+        -numisolines             0
     }
     itk_component add view {
@@ -325,6 +327,6 @@
             -onimage [Rappture::icon surface] \
             -offimage [Rappture::icon surface] \
-            -variable [itcl::scope _settings(isHeightmap)] \
-            -command [itcl::code $this AdjustSetting isHeightmap] \
+            -variable [itcl::scope _settings(-isheightmap)] \
+            -command [itcl::code $this AdjustSetting -isheightmap] \
     }
     Rappture::Tooltip::for $itk_component(mode) \
@@ -336,6 +338,6 @@
             -onimage [Rappture::icon stretchtofit] \
             -offimage [Rappture::icon stretchtofit] \
-            -variable [itcl::scope _settings(stretchToFit)] \
-            -command [itcl::code $this AdjustSetting stretchToFit] \
+            -variable [itcl::scope _settings(-stretchtofit)] \
+            -command [itcl::code $this AdjustSetting -stretchtofit] \
     }
     Rappture::Tooltip::for $itk_component(stretchtofit) \
@@ -666,5 +668,5 @@
     }
     if { [array size found] > 1 } {
-        set _settings(stretchToFit) 1
+        set _settings(-stretchtofit) 1
     } else {
         # Check if the range of the x and y axes requires that we stretch
@@ -675,5 +677,5 @@
         if { (($xmax - $xmin) > (($ymax -$ymin) * $_maxScale)) ||
              ((($xmax - $xmin) * $_maxScale) < ($ymax -$ymin)) } {
-            set _settings(stretchToFit) 1
+            set _settings(-stretchtofit) 1
         }
     }
@@ -924,6 +926,6 @@
 	$_arcball resize $w $h
 	DoResize
-	if { $_settings(stretchToFit) } {
-	    AdjustSetting stretchToFit
+	if { $_settings(-stretchtofit) } {
+	    AdjustSetting -stretchtofit
 	}
     }
@@ -932,5 +934,5 @@
 	# Reset the camera and other view parameters
 	#
-        InitSettings isHeightmap background
+        InitSettings -isheightmap -background
 
         # Let's see how this goes.  I think it's preferable to overloading the
@@ -941,5 +943,5 @@
 	set q [list $_view(qw) $_view(qx) $_view(qy) $_view(qz)]
 	$_arcball quaternion $q 
-        if {$_settings(isHeightmap) } {
+        if {$_settings(-isheightmap) } {
             if { $_view(ortho)} {
                 SendCmd "camera mode ortho"
@@ -1033,5 +1035,5 @@
         $itk_component(field) value $_curFldLabel
     }
-    InitSettings stretchToFit outline
+    InitSettings -stretchtofit -outline
 
     if { $_reset } {
@@ -1077,5 +1079,5 @@
 	set q [list $_view(qw) $_view(qx) $_view(qy) $_view(qz)]
 	$_arcball quaternion $q 
-        if {$_settings(isHeightmap) } {
+        if {$_settings(-isheightmap) } {
             if { $_view(ortho)} {
                 SendCmd "camera mode ortho"
@@ -1087,7 +1089,7 @@
         }
 	PanCamera
-	InitSettings axisXGrid axisYGrid axisZGrid \
-	    axisVisible axisLabels heightmapScale field isHeightmap \
-            numIsolines
+	InitSettings -xgrid -ygrid -zgrid \
+	    -axisvisible -axislabels -heightmapscale -field -isheightmap \
+            -numisolines
         if { [array size _fields] < 2 } {
             blt::table forget $itk_component(field) $itk_component(field_l)
@@ -1169,5 +1171,5 @@
     set q [list $_view(qw) $_view(qx) $_view(qy) $_view(qz)]
     $_arcball quaternion $q
-    if {$_settings(isHeightmap) } {
+    if {$_settings(-isheightmap) } {
         DoRotate
     }
@@ -1330,7 +1332,7 @@
 itcl::body Rappture::VtkHeightmapViewer::InitSettings { args } {
     foreach spec $args {
-        if { [info exists _settings($_first-$spec)] } {
+        if { [info exists _settings($_first${spec})] } {
             # Reset global setting with dataobj specific setting
-            set _settings($spec) $_settings($_first-$spec)
+            set _settings($spec) $_settings($_first${spec})
         }
         AdjustSetting $spec
@@ -1350,5 +1352,5 @@
     }
     switch -- $what {
-        "axisFlymode" {
+        "-axisflymode" {
             set mode [$itk_component(axisflymode) value]
             set mode [$itk_component(axisflymode) translate $mode]
@@ -1356,24 +1358,24 @@
             SendCmd "axis flymode $mode"
         }
-        "axisLabels" {
-            set bool $_settings(axisLabels)
+        "-axislabels" {
+            set bool $_settings($what)
             SendCmd "axis labels all $bool"
         }
-        "axisMinorTicks" {
-            set bool $_settings(axisMinorTicks)
+        "-axisminorticks" {
+            set bool $_settings($what)
 	    foreach axis { x y z } { 
 		SendCmd "axis minticks ${axis} $bool"
 	    }
         }
-        "axisVisible" {
-            set bool $_settings(axisVisible)
+        "-axisvisible" {
+            set bool $_settings($what)
             SendCmd "axis visible all $bool"
         }
-        "axisXGrid" - "axisYGrid" - "axisZGrid" {
-            set axis [string tolower [string range $what 4 4]]
+        "-xgrid" - "-ygrid" - "-zgrid" {
+            set axis [string tolower [string range $what 1 1]]
             set bool $_settings($what)
             SendCmd "axis grid $axis $bool"
         }
-        "background" {
+        "-background" {
             set bg [$itk_component(background) value]
 	    array set fgcolors {
@@ -1390,22 +1392,22 @@
 	    DrawLegend
         }
-        "colormap" {
-            set _changed(colormap) 1
+        "-colormap" {
+            set _changed($what) 1
             StartBufferingCommands
             set color [$itk_component(colormap) value]
-            set _settings(colormap) $color
+            set _settings($what) $color
 	    if { $color == "none" } {
-		if { $_settings(colormapVisible) } {
+		if { $_settings(-colormapvisible) } {
 		    SendCmd "heightmap surface 0"
-		    set _settings(colormapVisible) 0
+		    set _settings(-colormapvisible) 0
 		}
 	    } else {
-		if { !$_settings(colormapVisible) } {
+		if { !$_settings(-colormapvisible) } {
 		    SendCmd "heightmap surface 1"
-		    set _settings(colormapVisible) 1
+		    set _settings(-colormapvisible) 1
 		}
 		SetCurrentColormap $color
-                if {$_settings(colormapDiscrete)} {
-                    set numColors [expr $_settings(numIsolines) + 1]
+                if {$_settings(-colormapdiscrete)} {
+                    set numColors [expr $_settings(-numisolines) + 1]
                     SendCmd "colormap res $numColors $color"
                 }
@@ -1414,11 +1416,12 @@
 	    EventuallyRequestLegend
         }
-        "colormapVisible" {
+        "-colormapvisible" {
             set bool $_settings($what)
             SendCmd "heightmap surface $bool"
         }
-        "colormapDiscrete" {
+        "-colormapdiscrete" {
             set bool $_settings($what)
-            set numColors [expr $_settings(numIsolines) + 1]
+            set numColors [expr $_settings(-numisolines) + 1]
+            # FIXME: don't use StartBufferingCommands
             StartBufferingCommands
             if {$bool} {
@@ -1434,12 +1437,12 @@
             EventuallyRequestLegend
         }
-        "edges" {
-            set bool $_settings(edges)
+        "-edges" {
+            set bool $_settings($what)
             SendCmd "heightmap edges $bool"
         }
-        "field" {
+        "-field" {
             set label [$itk_component(field) value]
             set fname [$itk_component(field) translate $label]
-            set _settings(field) $fname
+            set _settings($what) $fname
             if { [info exists _fields($fname)] } {
                 foreach { label units components } $_fields($fname) break
@@ -1483,6 +1486,6 @@
             DrawLegend
         }
-        "heightmapScale" {
-	    if { $_settings(isHeightmap) } {
+        "-heightmapscale" {
+	    if { $_settings(-isheightmap) } {
 		set scale [GetHeightmapScale]
                 # Have to set the datasets individually because we are 
@@ -1495,23 +1498,21 @@
 	    }
         }
-        "isHeightmap" {
-	    set bool $_settings(isHeightmap)
+        "-isheightmap" {
+	    set bool $_settings($what)
             set c $itk_component(view)
             StartBufferingCommands
             # Fix heightmap scale: 0 for contours, 1 for heightmaps.
             if { $bool } {
-                set _settings(heightmapScale) 50
-                set _settings(opacity) $_settings(saveOpacity)
-                set _settings(lighting) $_settings(saveLighting)
-                set _settings(outline) 0
+                set _settings(-heightmapscale) 50
+                set _settings(-opacity) $_settings(-saveopacity)
+                set _settings(-lighting) $_settings(-savelighting)
+                set _settings(-outline) 0
             } else {
-                set _settings(heightmapScale) 0
-                set _settings(lighting) 0
-                set _settings(opacity) 100
-                set _settings(outline)  $_settings(saveOutline)
-            }
-            AdjustSetting lighting
-            AdjustSetting opacity
-            AdjustSetting outline
+                set _settings(-heightmapscale) 0
+                set _settings(-lighting) 0
+                set _settings(-opacity) 1.0
+                set _settings(-outline)  $_settings(-saveoutline)
+            }
+            InitSettings -lighting -opacity -outline
             set scale [GetHeightmapScale]
             # Have to set the datasets individually because we are 
@@ -1542,5 +1543,5 @@
                 SendCmd "camera mode image"
             }
-            if {$_settings(stretchToFit)} {
+            if {$_settings(-stretchtofit)} {
                 if {$scale == 0} {
                     SendCmd "camera aspect window"
@@ -1573,15 +1574,15 @@
             StopBufferingCommands
         }
-        "isolineColor" {
+        "-isolinecolor" {
             set color [$itk_component(isolinecolor) value]
 	    if { $color == "none" } {
-		if { $_settings(isolinesVisible) } {
+		if { $_settings(-isolinesvisible) } {
 		    SendCmd "heightmap isolines 0"
-		    set _settings(isolinesVisible) 0
+		    set _settings(-isolinesvisible) 0
 		}
 	    } else {
-		if { !$_settings(isolinesVisible) } {
+		if { !$_settings(-isolinesvisible) } {
 		    SendCmd "heightmap isolines 1"
-		    set _settings(isolinesVisible) 1
+		    set _settings(-isolinesvisible) 1
 		}
 		SendCmd "heightmap isolinecolor [Color2RGB $color]"
@@ -1589,10 +1590,10 @@
 	    DrawLegend
         }
-        "isolinesVisible" {
+        "-isolinesvisible" {
 	    set bool $_settings($what)
             SendCmd "heightmap isolines $bool"
 	    DrawLegend
         }
-        "legendVisible" {
+        "-legendvisible" {
             if { !$_settings($what) } {
 		$itk_component(view) delete legend
@@ -1600,7 +1601,7 @@
 	    DrawLegend
         }
-        "lighting" {
-	    if { $_settings(isHeightmap) } {
-                set _settings(saveLighting) $_settings(lighting)
+        "-lighting" {
+	    if { $_settings(-isheightmap) } {
+                set _settings(-savelighting) $_settings(-lighting)
 		set bool $_settings($what)
 		SendCmd "heightmap lighting $bool"
@@ -1609,12 +1610,12 @@
 	    }
         }
-        "numIsolines" {
-            set _settings(numIsolines) [$itk_component(numisolines) value]
-            set _currentNumIsolines $_settings(numIsolines)
+        "-numisolines" {
+            set _settings($what) [$itk_component(numisolines) value]
+            set _currentNumIsolines $_settings($what)
             UpdateContourList
-            set _changed(numIsolines) 1
+            set _changed($what) 1
             SendCmd "heightmap contourlist [list $_contourList]"
-            if {$_settings(colormapDiscrete)} {
-                set numColors [expr $_settings(numIsolines) + 1]
+            if {$_settings(-colormapdiscrete)} {
+                set numColors [expr $_settings($what) + 1]
                 SendCmd "colormap res $numColors"
                 EventuallyRequestLegend
@@ -1623,25 +1624,24 @@
             }
         }
-        "opacity" {
-            set _changed(opacity) 1
-	    if { $_settings(isHeightmap) } {
-                set _settings(saveOpacity) $_settings(opacity)
-                set val $_settings(opacity)
-                set sval [expr { 0.01 * double($val) }]
-                SendCmd "heightmap opacity $sval"
+        "-opacity" {
+            set _changed($what) 1
+            set _settings($what)  [expr double($_currentOpacity) * 0.01]
+	    if { $_settings(-isheightmap) } {
+                set _settings(-saveopacity) $_settings($what)
+                SendCmd "heightmap opacity $_settings($what)"
             } else {
-		SendCmd "heightmap opacity 1"
-            }
-        }
-        "outline" {
-	    if { $_settings(isHeightmap) } {
+		SendCmd "heightmap opacity 1.0"
+            }
+        }
+        "-outline" {
+	    if { $_settings(-isheightmap) } {
 		SendCmd "outline visible 0"
             } else {
-                set _settings(saveOutline) $_settings(outline)
-                set bool $_settings(outline)
+                set _settings(-saveoutline) $_settings($what)
+                set bool $_settings($what)
                 SendCmd "outline visible $bool"
             }
 	}
-        "stretchToFit" {
+        "-stretchtofit" {
 	    set bool $_settings($what)
 	    if { $bool } {
@@ -1657,5 +1657,5 @@
             Zoom reset
 	}
-        "wireframe" {
+        "-wireframe" {
             set bool $_settings($what)
             SendCmd "heightmap wireframe $bool"
@@ -1793,8 +1793,8 @@
     switch -- $itk_option(-mode) {
 	"heightmap" {
-	    set _settings(isHeightmap) 1
+	    set _settings(-isheightmap) 1
 	}
 	"contour" {
-	    set _settings(isHeightmap) 0
+	    set _settings(-isheightmap) 0
 	} 
 	default {
@@ -1803,5 +1803,5 @@
     }
     if { !$_reset } {
-        AdjustSetting isHeightmap
+        AdjustSetting -isheightmap
     }
 }
@@ -1855,12 +1855,12 @@
     checkbutton $inner.legend \
         -text "Legend" \
-        -variable [itcl::scope _settings(legendVisible)] \
-        -command [itcl::code $this AdjustSetting legendVisible] \
+        -variable [itcl::scope _settings(-legendvisible)] \
+        -command [itcl::code $this AdjustSetting -legendvisible] \
         -font "Arial 9"
 
     checkbutton $inner.wireframe \
         -text "Wireframe" \
-        -variable [itcl::scope _settings(wireframe)] \
-        -command [itcl::code $this AdjustSetting wireframe] \
+        -variable [itcl::scope _settings(-wireframe)] \
+        -command [itcl::code $this AdjustSetting -wireframe] \
         -font "Arial 9"
 
@@ -1868,6 +1868,6 @@
 	checkbutton $inner.lighting \
 	    -text "Enable Lighting" \
-	    -variable [itcl::scope _settings(lighting)] \
-	    -command [itcl::code $this AdjustSetting lighting] \
+	    -variable [itcl::scope _settings(-lighting)] \
+	    -command [itcl::code $this AdjustSetting -lighting] \
 	    -font "Arial 9"
     } {
@@ -1876,6 +1876,6 @@
     checkbutton $inner.edges \
         -text "Edges" \
-        -variable [itcl::scope _settings(edges)] \
-        -command [itcl::code $this AdjustSetting edges] \
+        -variable [itcl::scope _settings(-edges)] \
+        -command [itcl::code $this AdjustSetting -edges] \
         -font "Arial 9"
 
@@ -1883,6 +1883,6 @@
         checkbutton $inner.outline \
             -text "Outline" \
-            -variable [itcl::scope _settings(outline)] \
-            -command [itcl::code $this AdjustSetting outline] \
+            -variable [itcl::scope _settings(-outline)] \
+            -command [itcl::code $this AdjustSetting -outline] \
             -font "Arial 9"
     } {
@@ -1891,18 +1891,18 @@
     checkbutton $inner.stretch \
         -text "Stretch to fit" \
-        -variable [itcl::scope _settings(stretchToFit)] \
-        -command [itcl::code $this AdjustSetting stretchToFit] \
+        -variable [itcl::scope _settings(-stretchtofit)] \
+        -command [itcl::code $this AdjustSetting -stretchtofit] \
         -font "Arial 9"
 
     checkbutton $inner.isolines \
         -text "Isolines" \
-        -variable [itcl::scope _settings(isolinesVisible)] \
-        -command [itcl::code $this AdjustSetting isolinesVisible] \
+        -variable [itcl::scope _settings(-isolinesvisible)] \
+        -command [itcl::code $this AdjustSetting -isolinesvisible] \
         -font "Arial 9"
 
     checkbutton $inner.colormapDiscrete \
         -text "Discrete Colormap" \
-        -variable [itcl::scope _settings(colormapDiscrete)] \
-        -command [itcl::code $this AdjustSetting colormapDiscrete] \
+        -variable [itcl::scope _settings(-colormapdiscrete)] \
+        -command [itcl::code $this AdjustSetting -colormapdiscrete] \
         -font "Arial 9"
 
@@ -1916,5 +1916,5 @@
     }
     bind $inner.field <<Value>> \
-        [itcl::code $this AdjustSetting field]
+        [itcl::code $this AdjustSetting -field]
 
     label $inner.colormap_l -text "Colormap" -font "Arial 9" 
@@ -1943,5 +1943,5 @@
     $itk_component(colormap) value "BCGYR"
     bind $inner.colormap <<Value>> \
-        [itcl::code $this AdjustSetting colormap]
+        [itcl::code $this AdjustSetting -colormap]
 
     label $inner.isolinecolor_l -text "Isolines Color" -font "Arial 9" 
@@ -1963,5 +1963,5 @@
     $itk_component(isolinecolor) value "black"
     bind $inner.isolinecolor <<Value>> \
-	[itcl::code $this AdjustSetting isolineColor]
+	[itcl::code $this AdjustSetting -isolinecolor]
 
     label $inner.background_l -text "Background Color" -font "Arial 9" 
@@ -1975,5 +1975,6 @@
 
     $itk_component(background) value "white"
-    bind $inner.background <<Value>> [itcl::code $this AdjustSetting background]
+    bind $inner.background <<Value>> \
+        [itcl::code $this AdjustSetting -background]
 
     itk_component add opacity_l {
@@ -1984,7 +1985,7 @@
     itk_component add opacity {
         ::scale $inner.opacity -from 0 -to 100 -orient horizontal \
-            -variable [itcl::scope _settings(opacity)] \
+            -variable [itcl::scope _currentOpacity] \
             -showvalue off \
-            -command [itcl::code $this AdjustSetting opacity]
+            -command [itcl::code $this AdjustSetting -opacity]
     }
     itk_component add scale_l {
@@ -1995,7 +1996,7 @@
     itk_component add scale {
         ::scale $inner.scale -from 0 -to 100 -orient horizontal \
-            -variable [itcl::scope _settings(heightmapScale)] \
+            -variable [itcl::scope _settings(-heightmapscale)] \
             -showvalue off \
-            -command [itcl::code $this AdjustSetting heightmapScale]
+            -command [itcl::code $this AdjustSetting -heightmapscale]
     }
     label $inner.numisolines_l -text "Number of Isolines" -font "Arial 9"
@@ -2004,7 +2005,7 @@
             -min 0 -max 50 -font "arial 9"
     }
-    $itk_component(numisolines) value $_settings(numIsolines)
+    $itk_component(numisolines) value $_settings(-numisolines)
     bind $itk_component(numisolines) <<Value>> \
-        [itcl::code $this AdjustSetting numIsolines]
+        [itcl::code $this AdjustSetting -numisolines]
 
     frame $inner.separator1 -height 2 -relief sunken -bd 1
@@ -2053,32 +2054,32 @@
     checkbutton $inner.visible \
         -text "Axes" \
-        -variable [itcl::scope _settings(axisVisible)] \
-        -command [itcl::code $this AdjustSetting axisVisible] \
+        -variable [itcl::scope _settings(-axisvisible)] \
+        -command [itcl::code $this AdjustSetting -axisvisible] \
         -font "Arial 9"
     checkbutton $inner.labels \
         -text "Axis Labels" \
-        -variable [itcl::scope _settings(axisLabels)] \
-        -command [itcl::code $this AdjustSetting axisLabels] \
+        -variable [itcl::scope _settings(-axislabels)] \
+        -command [itcl::code $this AdjustSetting -axislabels] \
         -font "Arial 9"
     label $inner.grid_l -text "Grid" -font "Arial 9" 
     checkbutton $inner.xgrid \
         -text "X" \
-        -variable [itcl::scope _settings(axisXGrid)] \
-        -command [itcl::code $this AdjustSetting axisXGrid] \
+        -variable [itcl::scope _settings(-xgrid)] \
+        -command [itcl::code $this AdjustSetting -xgrid] \
         -font "Arial 9"
     checkbutton $inner.ygrid \
         -text "Y" \
-        -variable [itcl::scope _settings(axisYGrid)] \
-        -command [itcl::code $this AdjustSetting axisYGrid] \
+        -variable [itcl::scope _settings(-ygrid)] \
+        -command [itcl::code $this AdjustSetting -ygrid] \
         -font "Arial 9"
     checkbutton $inner.zgrid \
         -text "Z" \
-        -variable [itcl::scope _settings(axisZGrid)] \
-        -command [itcl::code $this AdjustSetting axisZGrid] \
+        -variable [itcl::scope _settings(-zgrid)] \
+        -command [itcl::code $this AdjustSetting -zgrid] \
         -font "Arial 9"
     checkbutton $inner.minorticks \
         -text "Minor Ticks" \
-        -variable [itcl::scope _settings(axisMinorTicks)] \
-        -command [itcl::code $this AdjustSetting axisMinorTicks] \
+        -variable [itcl::scope _settings(-axisminorticks)] \
+        -command [itcl::code $this AdjustSetting -axisminorticks] \
         -font "Arial 9"
 
@@ -2095,5 +2096,5 @@
         "outer_edges"     "outer"         
     $itk_component(axisflymode) value "static"
-    bind $inner.mode <<Value>> [itcl::code $this AdjustSetting axisFlymode]
+    bind $inner.mode <<Value>> [itcl::code $this AdjustSetting -axisflymode]
 
     blt::table $inner \
@@ -2280,5 +2281,5 @@
     array set style {
         -color BCGYR
-        -opacity 100
+        -opacity 1.0
         -levels 10
     }
@@ -2296,12 +2297,12 @@
     # the code to handle aberrant cases.
 
-    if { $_changed(opacity) } {
-        set style(-opacity) $_settings(opacity)
-    }
-    if { $_changed(numIsolines) } {
-        set style(-levels) $_settings(numIsolines)
-    }
-    if { $_changed(colormap) } {
-        set style(-color) $_settings(colormap)
+    if { $_changed(-opacity) } {
+        set style(-opacity) $_settings(-opacity)
+    }
+    if { $_changed(-numisolines) } {
+        set style(-levels) $_settings-(numisolines)
+    }
+    if { $_changed(-colormap) } {
+        set style(-color) $_settings(-colormap)
     }
     if { $_currentColormap == "" } {
@@ -2309,11 +2310,12 @@
     }
     if { [info exists style(-stretchtofit)] } {
-        set _settings(stretchToFit) $style(-stretchtofit)
-        AdjustSetting stretchToFit
-    }
-    set _currentOpacity $style(-opacity)
+        set _settings(-stretchtofit) $style(-stretchtofit)
+        AdjustSetting -stretchtofit
+    }
+    set _currentOpacity [expr $style(-opacity) * 100.0]
+
     if { $_currentNumIsolines != $style(-levels) } {
         set _currentNumIsolines $style(-levels)
-        set _settings(numIsolines) $_currentNumIsolines
+        set _settings(-numisolines) $_currentNumIsolines
         $itk_component(numisolines) value $_currentNumIsolines
         UpdateContourList
@@ -2322,16 +2324,16 @@
     SendCmd "outline add $tag"
     SendCmd "outline color [Color2RGB $itk_option(-plotforeground)] $tag"
-    SendCmd "outline visible $_settings(outline) $tag"
+    SendCmd "outline visible $_settings(-outline) $tag"
     set scale [GetHeightmapScale]
     SendCmd "[list heightmap add contourlist $_contourList $scale $tag]"
-    set _comp2scale($tag) $_settings(heightmapScale)
-    SendCmd "heightmap edges $_settings(edges) $tag"
-    SendCmd "heightmap wireframe $_settings(wireframe) $tag"
+    set _comp2scale($tag) $_settings(-heightmapscale)
+    SendCmd "heightmap edges $_settings(-edges) $tag"
+    SendCmd "heightmap wireframe $_settings(-wireframe) $tag"
     SetCurrentColormap $style(-color) 
     set color [$itk_component(isolinecolor) value]
     SendCmd "heightmap isolinecolor [Color2RGB $color] $tag"
-    SendCmd "heightmap lighting $_settings(isHeightmap) $tag"
-    SendCmd "heightmap isolines $_settings(isolinesVisible) $tag"
-    SendCmd "heightmap surface $_settings(colormapVisible) $tag"
+    SendCmd "heightmap lighting $_settings(-isheightmap) $tag"
+    SendCmd "heightmap isolines $_settings(-isolinesvisible) $tag"
+    SendCmd "heightmap surface $_settings(-colormapvisible) $tag"
 }
 
@@ -2392,5 +2394,5 @@
     }
     set x [expr $w - 2]
-    if { !$_settings(legendVisible) } {
+    if { !$_settings(-legendvisible) } {
 	$c delete legend
 	return
@@ -2431,5 +2433,5 @@
     array unset _isolines
     if { $color != "none"  && [info exists _limits($_curFldName)] && 
-         $_settings(isolinesVisible) && $_currentNumIsolines > 0 } {
+         $_settings(-isolinesvisible) && $_currentNumIsolines > 0 } {
 
         foreach { vmin vmax } $_limits($_curFldName) break
@@ -2598,5 +2600,5 @@
         invoke {
             $itk_component(field) value $_curFldLabel
-            AdjustSetting field
+            AdjustSetting -field
         }
         default {
@@ -2607,6 +2609,6 @@
 
 itcl::body Rappture::VtkHeightmapViewer::GetHeightmapScale {} {
-    if {  $_settings(isHeightmap) } {
-	set val $_settings(heightmapScale)
+    if {  $_settings(-isheightmap) } {
+	set val $_settings(-heightmapscale)
 	set sval [expr { $val >= 50 ? double($val)/50.0 : 1.0/(2.0-(double($val)/50.0)) }]
 	return $sval
Index: branches/1.3/gui/scripts/vtkisosurfaceviewer.tcl
===================================================================
--- branches/1.3/gui/scripts/vtkisosurfaceviewer.tcl	(revision 4397)
+++ branches/1.3/gui/scripts/vtkisosurfaceviewer.tcl	(revision 4399)
@@ -243,11 +243,11 @@
         -legendvisible                  1
         -numcontours                    10
-        -xaxisgrid                      0
+        -xgrid                          0
         -xcutplaneposition              50
         -xcutplanevisible               1
-        -yaxisgrid                      0
+        -ygrid                          0
         -ycutplaneposition              50
         -ycutplanevisible               1
-        -zaxisgrid                      0
+        -zgrid                          0
         -zcutplaneposition              50
         -zcutplanevisible               1
@@ -959,5 +959,5 @@
         PanCamera
         set _first ""
-        InitSettings -xaxisgrid -yaxisgrid -zaxisgrid -axismode \
+        InitSettings -xgrid -ygrid -zgrid -axismode \
             -axesvisible -axislabelsvisible 
         foreach axis { x y z } {
@@ -1332,5 +1332,5 @@
             SendCmd "axis labels all $bool"
         }
-        "-xaxisgrid" - "-yaxisgrid" - "-zaxisgrid" {
+        "-xgrid" - "-ygrid" - "-zgrid" {
             set axis [string tolower [string range $what 1 1]]
             set bool $_settings($what)
@@ -1780,16 +1780,16 @@
     checkbutton $inner.gridx \
         -text "Show X Grid" \
-        -variable [itcl::scope _settings(-xaxisgrid)] \
-        -command [itcl::code $this AdjustSetting -xaxisgrid] \
+        -variable [itcl::scope _settings(-xgrid)] \
+        -command [itcl::code $this AdjustSetting -xgrid] \
         -font "Arial 9"
     checkbutton $inner.gridy \
         -text "Show Y Grid" \
-        -variable [itcl::scope _settings(-yaxisgrid)] \
-        -command [itcl::code $this AdjustSetting -yaxisgrid] \
+        -variable [itcl::scope _settings(-ygrid)] \
+        -command [itcl::code $this AdjustSetting -ygrid] \
         -font "Arial 9"
     checkbutton $inner.gridz \
         -text "Show Z Grid" \
-        -variable [itcl::scope _settings(-zaxisgrid)] \
-        -command [itcl::code $this AdjustSetting -zaxisgrid] \
+        -variable [itcl::scope _settings(-zgrid)] \
+        -command [itcl::code $this AdjustSetting -zgrid] \
         -font "Arial 9"
 
